///////////////////////////////////////////////////////////////////////////////////////////////////
// OpenGL Mathematics Copyright (c) 2005 - 2008 G-Truc Creation (www.g-truc.net)
///////////////////////////////////////////////////////////////////////////////////////////////////
// Created : 2005-12-21
// Updated : 2005-12-21
// Licence : This source is under MIT License
// File    : glm/gtx/perpendicular.inl
///////////////////////////////////////////////////////////////////////////////////////////////////

namespace glm
{
    template <typename T> 
    inline detail::tvec2<T> perpGTX(const detail::tvec2<T>& x, const detail::tvec2<T>& Normal)
    {
	    return x - projGTX(x, Normal);
    }

    template <typename T> 
    inline detail::tvec3<T> perpGTX(const detail::tvec3<T>& x, const detail::tvec3<T>& Normal)
    {
	    return x - projGTX(x, Normal);
    }

    template <typename T> 
    inline detail::tvec4<T> perpGTX(const detail::tvec4<T>& x, const detail::tvec4<T>& Normal)
    {
	    return x - projGTX(x, Normal);
    }
}
